apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  generateName: test-release-pipelinerun-
spec:
  params:
  - name: git-repo-url
    value: https://gitlab.com/m.runesson/jobtech-common-lab.git
  - name: gitlab-repository-full-name
    value: m.runesson/jobtech-common-lab
  - name: git-tag
    value: main
  - name: git-commit
    value: 6adc550cebed606a1a53dc620529d024a01c1457
  - name: git-commit-short
    value: 6adc550
  - name: release-user
    value: Dobby
  pipelineRef:
    name: aardvark-py-release-pipeline
  serviceAccountName: build-bot
  timeout: 1h0m0s
  workspaces:
  - name: source
    volumeClaimTemplate:
      spec:
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 3Gi
  - name: dist
    volumeClaimTemplate:
      spec:
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 500Mi
